Bug #5437

0.85 : php errors when no right on plugin (regression)

Added by blerohellec about 4 years ago. Updated almost 4 years ago.

Status:ClosedStart date:08/20/2015
Priority:NormalDue date:
Assignee:yllen% Done:

100%

Category:-
Target version:0.85

Description

version 0.85
If I (my profile) have no right on PDF plugin, tab 'print PDF' is still diplayed in My preferences, when it shouldn't be (regression).
And some php errors are generated.

2015-08-20 16:44:24 [2@debian] *** PHP Notice(8): Undefined index: plugin_pdf
Backtrace :
plugins/pdf/inc/preference.class.php:45
plugins/pdf/inc/preference.class.php:190 PluginPdfPreference::showPreferences()
inc/commonglpi.class.php:455 PluginPdfPreference::displayTabContentForItem()
ajax/common.tabs.php:87 CommonGLPI::displayStandardTab()
2015-08-20 16:44:24 [2@debian] *** PHP Warning(2): Invalid argument supplied for foreach()
Backtrace :
plugins/pdf/inc/preference.class.php:45
plugins/pdf/inc/preference.class.php:190 PluginPdfPreference::showPreferences()
inc/commonglpi.class.php:455 PluginPdfPreference::displayTabContentForItem()
ajax/common.tabs.php:87 CommonGLPI::displayStandardTab()

Associated revisions

Revision 410
Added by yllen almost 4 years ago

fix rights - fixed #5437

History

#1 Updated by yllen almost 4 years ago

  • Status changed from New to Resolved
  • % Done changed from 0 to 100

Applied in changeset r410.

#2 Updated by yllen almost 4 years ago

  • Assignee set to yllen
  • Target version set to 0.85

#3 Updated by yllen almost 4 years ago

  • Status changed from Resolved to Closed

#4 Updated by blerohellec almost 4 years ago

OK. checked

Also available in: Atom PDF